## emacs-format-all-the-code 0.5.0

=== debian/changelog ===
emacs-format-all-the-code (0.5.0-2) unstable; urgency=medium

  * Add support for Puppet manifests (patch submitted upstream).
  * Improve support for shell scripts (patch submitted upstream).

 -- Roland Mas <lolando@debian.org>  Thu, 09 Nov 2023 16:17:18 +0100

emacs-format-all-the-code (0.5.0-1) unstable; urgency=medium

  * Initial release.

 -- Roland Mas <lolando@debian.org>  Fri, 13 Oct 2023 09:53:39 +0200
