=== debian/watch ===
version=4
opts="mode=git" git@github.com:lassik/emacs-format-all-the-code.git refs/tags/v([\d\.\d\.]+) debian
