## emacs-format-all-the-code 0.6.0

=== debian/changelog ===
emacs-format-all-the-code (0.6.0-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 19:23:52 +0900

emacs-format-all-the-code (0.6.0-1) unstable; urgency=medium

  [ Xiyue Deng ]
  * Team upload.
  * New upstream release.
  * Refresh patches and add forwarded info.
    - Add `:features' in puppet-lint which is required now.
  * Drop obsolete emacs version from Recommends.
  * Update Standards-Version to 4.6.2 (no change needed.)
  * Add d/upstream/metadata.
  * Fix d/watch with special substitute strings.
  * Add Upstream-Contact in d/copyright.
  * Fix Source link in d/copyright.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 29 Mar 2024 12:11:31 +0800
