=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Roland Mas <lolando@debian.org>
 Build-Depends: debhelper-compat (= 13),
  dh-elpa
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-format-all-the-code
 Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-format-all-the-code.git
 Homepage: https://github.com/lassik/emacs-format-all-the-code
@@ -14,7 +14,7 @@
 Package: elpa-format-all
 Architecture: all
 Depends: ${elpa:Depends}, ${misc:Depends}
-Recommends: emacs (>= 46.0)
+Recommends: emacs
 Enhances: emacs
 Description: Auto-format C, C++, JS, Python, Ruby and 50 other languages
  Lets you auto-format source code in many languages using the same
